This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 57568 - (USB)Epson 1240U Communication Problems
(USB)Epson 1240U Communication Problems
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-16 01:03 EST by Michael
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-21 20:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
var log messages (18.22 KB, text/plain)
2001-12-18 13:14 EST, Michael
no flags Details
Execution of command (1.30 KB, text/plain)
2001-12-18 13:16 EST, Michael
no flags Details

  None (edit)
Description Michael 2001-12-16 01:03:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
My Epson 1240U scanner worked in RHL 7.1, but doesn't after fresh reinstall
to RHL 7.2

I did modify /etc/sane.d/epson.conf to switch from scsi to usb

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot RHL 7.2
2. Run scanimage -L (or scanimage -d epson:/dev/usb/scanner0 -L)
	

Actual Results:  The window hangs.  After a kill -9, a command prompt will
actually show up.

Expected Results:  I should've seen a scanner listing

Additional info:

I've also tried 1.0.6-3 from rawhide, and that doesn't fix the problem
either.  :(

When running scanimage -L, the lamp on the scanner does turn on, so there
appears to be at least some sort of communication.
Comment 1 Michael 2001-12-16 23:45:20 EST
To make life real interesting, Epson 1240U scanner works (scanimage -L) when
connected to Dell Inspiron 4000 USB port / RHL 7.2.  Scanner does not work in
RHL 7.2 on Dell Dimension XPS R400, but does in RHL 7.1 on same system (I
installed RHL 7.1 on test partition).

To add more details, I booted RHL 7.2 /w a 2.4.2-2 kernel (RHL71 rpm) and the
sane-1.0.3-10 RPM from RHL71, and it still doesn't work under RHL72.  Would this
be a glibc issue?
Comment 2 Tim Waugh 2001-12-18 12:22:54 EST
Please send the output of

SANEI_DEBUG_EPSON=255 scanimage -L

so that we can see what the backend is thinking.  Thanks.
Comment 3 Michael 2001-12-18 13:12:40 EST
The backend isn't thinking anything.  After 2 minutes I sent it a kill -9.

I'm going to attach part of /var/log/messages & an execution run of the command
for you (and some of dmesg).
Comment 4 Michael 2001-12-18 13:14:12 EST
Created attachment 40948 [details]
var log messages
Comment 5 Michael 2001-12-18 13:16:32 EST
Created attachment 40949 [details]
Execution of command
Comment 6 Michael 2001-12-18 13:18:58 EST
Of listed attachments, interesting lines include the one about Can't locate
module char-major-81 & the usb_controlbulk_msg: timeouts's.

I'm headed out of town for a week, so additional debugging output will have to wait.
Comment 7 Tim Waugh 2001-12-19 08:16:22 EST
From what you've said, I would say that this is an intermittent kernel 
problem.  The USB timeout messages are the kernel's domain, but it's an 
interesting data point that a kernel that (presumably) worked before no longer 
does.

In any case, it doesn't _look_ like it's a SANE problem.  Reassigning.
Comment 8 Pete Zaitcev 2004-01-21 20:28:48 EST
I suggest going with Fedora and new SANE, without the kernel driver.

Note You need to log in before you can comment on or make changes to this bug.